app
Author: Peter G. Baum (peter@dr-baum.net)
Keywords: gnocl, Tcl, gtk, gnome

## NAME

app - Create and manipulate a GNOME top level container

## SYNOPSIS

app ?-option optionVal ...?

## OPTIONS

-title
  Title of top window (name of the application)
  type: string
  default: ""

-contents
  ID of a previously created widget, which is displayed in the content area of app
  type: string
  default: ""

-menubar
  ID of a previously created menubar
  type: string
  default: ""

-statusbar
  ID of a previously created statusbar
  type: string
  default: ""

-toolbar
  ID of a previously created toolbar
  type: string
  default: ""

-resizable
  type: boolean
  default: true

-width
  Default width of window.
  type: integer
  default: -1

-height
  Default height of window.
  type: integer
  default: -1

## DESCRIPTION

## WIDGET COMMANDS

The app command creates a new Tcl command whose name is an ID returned on widget creation. This command may be used to invoke various operations on the widget. It has the following general form:
ID option ?arg arg ...?
option and arg determine the exact behavior of the command. The following commands are possible for app widgets:

ID message txt
  show txt as message

ID flash txt
  show txt as flash message

ID warning txt
  show txt as warning message

ID error txt
  show txt as erro message

ID progress val
  show progressbar with val percent done (0 <= val <= 100)

ID addToolbar toolbar-ID ?-option optionVal ...?
  Adds a toolbar to the application. toolbar-ID is the ID of a toolbar created by the toolbar command.
  Valid options are:
  -name, string
  -behavior, list of one or more of normal, exclusive, neverFloating, neverVertical, neverHorizontal, locked
  -placement, one of top, right, bottom, left, floating
  -bandNum, integer
  -bandPos, integer
  -offset, integer

## KEYWORDS

Copyright © 2001 - 2002 P. G. Baum